petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESQNSetRestartType

Sets the restart type for SNESQN.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESQNSetRestartType(SNES snes, SNESQNRestartType rtype)

Logically Collective on SNES

### Input Parameters

| snes | - the iterative context
| rtype | - restart type

### Options Database

| -snes_qn_restart_type <powell,periodic,none> | - set the restart type
| -snes_qn_m <m> | - sets the number of stored updates and the restart period for periodic

### SNESQNRestartTypes

| SNES_QN_RESTART_NONE | - never restart
| SNES_QN_RESTART_POWELL | - restart based upon descent criteria
| SNES_QN_RESTART_PERIODIC | - restart after a fixed number of iterations

### Keywords

SNES, SNESQN, restart, type, set SNESLineSearch, SNESQNRestartType

### Level

intermediate

### Location

src/snes/impls/qn/qn.c

### Implementations

SNESQNSetRestartType_QN in src/snes/impls/qn/qn.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages